import { Contexts, ContextReference, MappedActions, Middleware, InitActions } from './types';
/**
 * @hidden Internal function to map action creators to store actions
 */
export declare function mapActionsToDispatch<TState, TContexts extends Contexts, TInitActions extends InitActions<TState, TContexts>>(contextReference: ContextReference<TState, TContexts>, actions?: TInitActions, middleware?: Middleware[]): MappedActions<TState, TContexts, TInitActions>;
/**
 * @hidden Internal function to map action creators to store actions when there are no Providers available
 */
export declare function mapActionsToDefault<TState, TInitActions extends InitActions<TState, TContexts>, TContexts extends Contexts>(initialState: TState, actions?: TInitActions): MappedActions<TState, TContexts, TInitActions>;
